Sunday, September 12, 2010

#Flamerobin new build dependency graph for #debian #ubuntu / #kubuntu #linux

Dalton asked on Flamerobin-devel list

> Can someone please do a series of build requirements for ubuntu/kubuntu
> environments?

here are listed the new dependencies (for svn versions > 0.9.3)
with boost included
http://packages.debian.org/source/experimental/flamerobin

all you need
apt-get build-dep flamerobin 



and then you need to add boost manually


The following NEW packages will be installed:
firebird2.1-common-doc firebird2.1-dev libwxbase2.8-dev
libwxgtk2.8-dev wx2.8-headers




also you need svn to checkout the source

apt-get install subversion

maybe is needed to add the boost devel headers :)
apt-get install libboost-dev

svn co http://flamerobin.svn.sourceforge.net/svnroot/flamerobin/trunk flamerobin_trunk
cd flamerobin_trunk/flamerobin
./configure 
make -j2

make install




ps: you can generate the dependecy tree with debtree

debtree --max-depth=2 --build-dep --no-conflicts flamerobin  > out.dot
dot -T png -o flamerobin.png out.dot
dot -T svg -o flamerobin.svg out.dot


..:: ::..:: ::..

No comments :